New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

git --download with non-editable git+ssh fails #1060

Closed
trunneml opened this Issue Jul 17, 2013 · 1 comment

Comments

Projects
None yet
2 participants
@trunneml

trunneml commented Jul 17, 2013

Hi,

when I call:
$ pip install --download requirements/sdists -r requirements/pip_local.txt

I'm getting the following error:

Downloading/unpacking rukzuklib from git+ssh://xxx@xxx@master (from -r requirements/pip_local.txt (line 14))
Cloning ssh://xxx@xxx (to master) to /tmp/pip-5eeyys-export
Running setup.py egg_info for package xxx
Traceback (most recent call last):
File "", line 16, in
IOError: [Errno 2] No such file or directory: 'xxx/env/build/xxx/setup.py'
Complete output from command python setup.py egg_info:
Traceback (most recent call last):

File "", line 16, in

IOError: [Errno 2] No such file or directory: '/xxx/env/build/xxx/setup.py'

It seems that it is downloaded to the wrong folder. When I add an -e to the requirements/pip_local.txt it works.
Any ideas?

PS: I'm using pip 1.3.1 and distribute==0.7.3

@erikrose

This comment has been minimized.

Show comment
Hide comment
@erikrose

erikrose Jul 19, 2013

Contributor

This is an awful lot like #798.

Contributor

erikrose commented Jul 19, 2013

This is an awful lot like #798.

jschneier added a commit to jschneier/pip that referenced this issue Jul 15, 2014

jschneier added a commit to jschneier/pip that referenced this issue Jul 15, 2014

jschneier added a commit to jschneier/pip that referenced this issue Jul 15, 2014

jschneier added a commit to jschneier/pip that referenced this issue Jul 15, 2014

@dstufft dstufft closed this in 283df0e Aug 4, 2014

dstufft added a commit that referenced this issue Aug 4, 2014

Merge pull request #1926 from jschneier/develop
install -d works on vcs links fix #798 fix #1060
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment